<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsTriggerIndicationData Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_trigger_indication_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsTriggerIndicationData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Data for a trigger indication message.  
 <a href="struct_xs_trigger_indication_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a06b66d29f11639af15d82d8119b3af22"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_trigger_indication_data.html#a06b66d29f11639af15d82d8119b3af22">XsTriggerIndicationData</a> (uint8_t line=0, uint8_t polarity=0, uint32_t timestamp=0, uint16_t frameNumber=0)</td></tr>
<tr class="separator:a06b66d29f11639af15d82d8119b3af22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a921a374acbdcdd262cffa6f4ab1a331a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a921a374acbdcdd262cffa6f4ab1a331a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_trigger_indication_data.html#a921a374acbdcdd262cffa6f4ab1a331a">clear</a> ()</td></tr>
<tr class="memdesc:a921a374acbdcdd262cffa6f4ab1a331a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy the XsTriggerIndicationData object. <br /></td></tr>
<tr class="separator:a921a374acbdcdd262cffa6f4ab1a331a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeeb55dda2ebf673a7a2c6c883a1b351"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adeeb55dda2ebf673a7a2c6c883a1b351"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_trigger_indication_data.html#adeeb55dda2ebf673a7a2c6c883a1b351">valid</a> () const </td></tr>
<tr class="memdesc:adeeb55dda2ebf673a7a2c6c883a1b351"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the object is valid (line and polarity may not be 0) <br /></td></tr>
<tr class="separator:adeeb55dda2ebf673a7a2c6c883a1b351"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a304fc5c4e42b214b0a678a47249c2bd9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a304fc5c4e42b214b0a678a47249c2bd9"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_trigger_indication_data.html#a304fc5c4e42b214b0a678a47249c2bd9">operator==</a> (<a class="el" href="struct_xs_trigger_indication_data.html">XsTriggerIndicationData</a> const &amp;other) const </td></tr>
<tr class="memdesc:a304fc5c4e42b214b0a678a47249c2bd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if all fields of this and <em>other</em> are exactly identical. <br /></td></tr>
<tr class="separator:a304fc5c4e42b214b0a678a47249c2bd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1274525adf236981acadaff98e298c3f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1274525adf236981acadaff98e298c3f"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_trigger_indication_data.html#a1274525adf236981acadaff98e298c3f">m_line</a></td></tr>
<tr class="memdesc:a1274525adf236981acadaff98e298c3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The line number. <br /></td></tr>
<tr class="separator:a1274525adf236981acadaff98e298c3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae05945dfa3ba7081a3673df394df46e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae05945dfa3ba7081a3673df394df46e"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_trigger_indication_data.html#aae05945dfa3ba7081a3673df394df46e">m_polarity</a></td></tr>
<tr class="memdesc:aae05945dfa3ba7081a3673df394df46e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The polarity. <br /></td></tr>
<tr class="separator:aae05945dfa3ba7081a3673df394df46e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae04adc188680045b8e9372118aae8cdf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae04adc188680045b8e9372118aae8cdf"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_trigger_indication_data.html#ae04adc188680045b8e9372118aae8cdf">m_timestamp</a></td></tr>
<tr class="memdesc:ae04adc188680045b8e9372118aae8cdf"><td class="mdescLeft">&#160;</td><td class="mdescRight">The timestamp. <br /></td></tr>
<tr class="separator:ae04adc188680045b8e9372118aae8cdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3973d6f95b510edc0c6f811aea7fee3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3973d6f95b510edc0c6f811aea7fee3c"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_trigger_indication_data.html#a3973d6f95b510edc0c6f811aea7fee3c">m_frameNumber</a></td></tr>
<tr class="memdesc:a3973d6f95b510edc0c6f811aea7fee3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The frame number. <br /></td></tr>
<tr class="separator:a3973d6f95b510edc0c6f811aea7fee3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Data for a trigger indication message. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a06b66d29f11639af15d82d8119b3af22"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsTriggerIndicationData::XsTriggerIndicationData </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>line</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>polarity</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>timestamp</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>frameNumber</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Constructor </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">line</td><td>Line </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">polarity</td><td>Polarity </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">timestamp</td><td>Timestamp </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">frameNumber</td><td>Frame number </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
